% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/write_data.R
\name{.compress_and_write_chunk}
\alias{.compress_and_write_chunk}
\title{Compress and write a single chunk}
\usage{
.compress_and_write_chunk(
  input_chunk,
  chunk_path,
  compressor = use_zlib(),
  data_type_size
)
}
\arguments{
\item{input_chunk}{Array containing the chunk data to be compressed.  Will be
converted to a raw vector before compression.}

\item{chunk_path}{Character string giving the path to the chunk that should
be written.}

\item{compressor}{A "compressor" function that returns a list giving the
details of the compression tool to apply.  See \link{compressors} for more
details.}

\item{data_type_size}{An integer giving the size of the original datatype.
This is passed to the blosc algorithm, which seems to need it to achieve
any compression.}
}
\value{
Returns \code{TRUE} if writing is successful.  Mostly called for the
side-effect of writing the compressed chunk to disk.
}
\description{
Compress and write a single chunk
}
\keyword{Internal}
